Bug 780732 - (SOA-3187) Exception when creating jBPM database
Exception when creating jBPM database
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, JBPM - within SOA, EDS (Show other bugs)
5.2.0dev2,5.2.0 ER1
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.2.0 GA,5.2.0.ER2
Assigned To: Van Halbert
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-19 09:21 EDT by Jiri Pechanec
Modified: 2014-01-07 12:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
PostgreSQL 8.3, EDS installed
Last Closed: 2011-10-07 03:07:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-1233 Blocker Closed Rename the "hibernate_sequence" sequence (in 'master' branch) 2014-06-06 16:49:05 EDT
JBoss Issue Tracker SOA-3187 Blocker Closed Exception when creating jBPM database 2014-06-06 16:49:05 EDT

  None (edit)
Description Jiri Pechanec 2011-07-19 09:21:29 EDT
project_key: SOA

When starting DEV2  configured for PostgreSQL then an exception is thrown
15:22:57,590 ERROR [AbstractKernelController] Error installing to Start: name=jboss.esb:service=JBPMDatabaseInitializer state=Create mode=Manual requiredState=Installed
org.postgresql.util.PSQLException: ERROR: relation "hibernate_sequence" already exists
	at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:1608)
	at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1343)


The reason is the jUDDI and ModeShape now uses Hibernate for persistence too and during jUDDI or ModeShape  db setup the sequence in question is created. Then jBPM SQL scripts tries to create sequence too and fails.
Comment 1 Jiri Pechanec 2011-07-19 09:21:30 EDT
Link: Added: This issue Cloned from SOA-1599
Comment 2 Jiri Sedlacek 2011-07-22 07:16:26 EDT
The same or similar for oracle11gR2

2011-07-22 06:04:24,625 DEBUG [org.jboss.internal.soa.esb.dependencies.DatabaseInitializer] Starting failed jboss.esb:service=JBPMDatabaseInitializer
java.sql.SQLSyntaxErrorException: ORA-00955: name is already used by an existing object

        at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:440)
        at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:396)
        at oracle.jdbc.driver.T4C8Oall.processError(T4C8Oall.java:837)
        at oracle.jdbc.driver.T4CTTIfun.receive(T4CTTIfun.java:445)
        at oracle.jdbc.driver.T4CTTIfun.doRPC(T4CTTIfun.java:191)
        at oracle.jdbc.driver.T4C8Oall.doOALL(T4C8Oall.java:523)
        at oracle.jdbc.driver.T4CStatement.doOall8(T4CStatement.java:193)
        at oracle.jdbc.driver.T4CStatement.executeForRows(T4CStatement.java:999)
        at oracle.jdbc.driver.OracleStatement.doExecuteWithTimeout(OracleStatement.java:1315)
        at oracle.jdbc.driver.OracleStatement.executeUpdateInternal(OracleStatement.java:1822)
        at oracle.jdbc.driver.OracleStatement.executeUpdate(OracleStatement.java:1787)
        at oracle.jdbc.driver.OracleStatementWrapper.executeUpdate(OracleStatementWrapper.java:280)
        at org.jboss.resource.adapter.jdbc.WrappedStatement.executeUpdate(WrappedStatement.java:249)
        at org.jboss.internal.soa.esb.dependencies.DatabaseInitializer.executeSql(DatabaseInitializer.java:145)
        at org.jboss.internal.soa.esb.dependencies.DatabaseInitializer.initDatabase(DatabaseInitializer.java:122)
        at org.jboss.internal.soa.esb.dependencies.DatabaseInitializer.startService(DatabaseInitializer.java:159)
        at org.jboss.system.ServiceMBeanSupport.jbossInternalStart(ServiceMBeanSupport.java:376)
        at org.jboss.system.ServiceMBeanSupport.jbossInternalLifecycle(ServiceMBeanSupport.java:322)
Comment 3 Van Halbert 2011-08-03 09:36:15 EDT
Link: Added: This issue depends MODE-1231
Comment 4 Randall Hauch 2011-08-03 10:51:29 EDT
Link: Added: This issue depends MODE-1233
Comment 5 Randall Hauch 2011-08-03 10:54:59 EDT
Link: Removed: This issue depends MODE-1233 
Comment 6 Randall Hauch 2011-08-03 10:56:00 EDT
Link: Added: This issue relates to MODE-1233
Comment 7 Julian Coleman 2011-08-08 07:15:15 EDT
jBPM database initialisation modified with revision 9652 of:

  soa-p/src/main/assembly/soa.zip.xml
  soa-p/src/main/patches/jbpm/overlay_database_sql.xml
  soa-p/src/main/resources/soa-p/schema-tool/build.xml
  soa-p/src/main/resources/soa-p/schema-tool/oracle10g/template/jbpm-service.xml
  soa-p/src/main/resources/soa-p/schema-tool/oracle11g/template/jbpm-service.xml
  soa-p/src/main/resources/soa-p/schema-tool/postgresql824/template/jbpm-service.xml
  soa-p/src/main/resources/soa-p/schema-tool/postgresql837/template/jbpm-service.xml
  soa-p/src/main/resources/soa-p/schema-tool/postgresql84/template/jbpm-service.xml

Commit message:

  SOA-3187
  Split the creation of the sequence "hibernate_sequence" from the rest of the
  database table creation.
  This allows jBPM database initialisation to co-exist with other projects that
  also use this sequence.
  Modify the schema tool to copy in a new jbpm-service.xml, if it is present.
  Based on work by kconner@.
Comment 8 Van Halbert 2011-08-09 13:55:31 EDT
For ModeShape, and based on my discussion with K. Conner, the ddl scripts will have the create/drop ddl's for hibernate_sequence be split out into its own file and documented to indicate that the create or drop of the sequence should not be run if jpbm is being used on this server or cluster of servers.
Comment 10 David Le Sage 2011-08-26 01:24:12 EDT
Release Notes Docs Status: Added: Not Required
Writer: Added: dlesage
Comment 11 Jiri Pechanec 2011-10-07 03:07:26 EDT
Verified in ER4
Comment 12 JBoss JIRA Server 2014-01-07 12:46:06 EST
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-1233 to Closed

Note You need to log in before you can comment on or make changes to this bug.